Set the frames of the shots from the previews

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/projects/{project_id}/task-types/{task_type_id}/set-shot-nb-frames

Set the number of frames of each shot of a project from the last preview of the shot for a task type. Give episode_id to change only the shots of one episode. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Get only the entities of this project

  • task_type_id string(uuid) Required

    Unique identifier of the task type

Query parameters

  • episode_id string(uuid)

    Get only the entities of this episode

Responses

  • 200 application/json

    The updated shots

    Hide response attribute Show response attribute object
    • updated integer
  • 400

    An identifier is not valid

  • 403

    You are not a manager of the project

POST /actions/projects/{project_id}/task-types/{task_type_id}/set-shot-nb-frames
curl -X POST "http://api.example.com/actions/projects/{project_id}/task-types/{task_type_id}/set-shot-nb-frames" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "shots": [
    {
      "shot_id": "a24a6ea4-ce75-4665-a070-57453082c25",
      "nb_frames": 24
    }
  ]
}'
import requests

url = "http://api.example.com/actions/projects/{project_id}/task-types/{task_type_id}/set-shot-nb-frames"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "shots": [
        {
            "shot_id": "a24a6ea4-ce75-4665-a070-57453082c25",
            "nb_frames": 24
        }
    ]
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "updated": 12
}